<?php
namespace Claromentis\Core\DAL\Interfaces;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();




interface QueryLogInterface
{
    
    
    
    
    public function ClearQueryLog();
    
    
    
    
    public function DisableQueryLog();
    
    
    
    
    public function EnableQueryLog();
    
    
    
    
    
    
    public function IsLogging() : bool;
    
    
    
    
    
    
    public function GetQueryLog() : array;
}